﻿@{
    Layout = null;
}

<div class="view-container">
    <div class="title-bar">
        <div class="back">
            <a class="action" onclick="window.history.back()">
                <i class="icon-arrow-left fg-black"></i>
            </a>
        </div>
        <div class="title">
            <h1>
                Setup Programs ({{MC.currentSeason.Title}})
            </h1>
        </div>
        <div class="actions">
            <a ngaction="Program_Add" ui-sref="ProgramAddBlade({seasonDomain: MC.stateParams.seasonDomain})" class="action on-left-more" jb-tooltip data-toggle="tooltip" data-placement="bottom" title="Add new program">
                <i style="margin-top: 11px;" class="icon-plus-2 fg-black"></i>
            </a>
        </div>
        <div class="clearfix"></div>
        <hr />
    </div>
    <span ng-init="advancedSearch = false" class="button small place-right" ng-click="switchAdvancedSearch()">Advanced search</span>
    <form ng-submit="programSearch()">
        <label for="searchPrgramName">Search by program name</label>
        <div class="input-control text" data-role="input-control">
            <input id="searchPrgramName" ng-model="nameSearchTerm" type="text" placeholder="Enter program name here">
            <button ng-hide="advancedSearch" class="btn-search" type="submit"></button>
        </div>

        <div class="clearfix"></div>
        <div ng-show="advancedSearch">
            <div class="one-half place-left">
                <label>Created date</label>
                <div class="one-half place-left padding-right20">
                    <input placeholder="from" kendo-date-picker ng-model="startDateCreatedSearchTerm" type="text">
                </div>
                <div class="one-half place-left padding-right20">
                    <input placeholder="to" kendo-date-picker ng-model="endDateCreatedSearchTerm" type="text">
                </div>
            </div>
            <div class="one-half place-left">
                <div class="one-half place-left padding-right20">
                    <label>Program status</label>
                    <div class="input-control select">
                        <select ng-model="statusSearchTerm" ng-init="statusSearchTerm = ''">
                            <option value="">All programs</option>
                            <option value="1">Setup completed</option>
                            <option value="0">Draft</option>
                        </select>
                    </div>
                </div>
                <div class="one-half place-left">
                    <label>Program type</label>
                    <div class="input-control select">
                        <select ng-model="typeSearchTerm" ng-init="typeSearchTerm = ''">
                            <option value="">All programs</option>
                            <option value="0">Class</option>
                            <option value="1">Camp</option>
                            <option value="2">Seminar/Tour</option>
                            <option value="3">Calendar</option>
                            <option value="4">Chess tournament</option>
                        </select>
                    </div>
                </div>
            </div>
            <button class="button primary place-right" type="submit">Search</button>
            <button class="button link place-right on-left-more" type="button" ng-click="programSearchClearFilters()">Clear filters</button>
            <div class="clearfix"></div>
        </div>
    </form>
    <br />

    <kendo-grid id="programGrid" options="programGridOptions"></kendo-grid>

    <div class="clearfix"></div>
</div>
